#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
	int *niz;
	int *niz2;
	int t;
	int l=-1;
	long long m,k,n;
	cin>>t;
	niz=new int[t];
	niz2=new int[t];
	for (int i=0;i<t;i++)
	{
		cin>>m>>k>>n;
		int z=0;l++;
		long long o=m%n;
		long long c=m/n;
		for (int j=c;j>0;j--)
			z+=j;
		if (k>z*n+o*(c+1))
			niz2[l]=1;
		else
			niz2[l]=0;
	}
	for (int u=0;u<t;u++)
	{
		if (niz2[u]==1)
			cout<<"Tak"<<endl;
		else
			cout<<"Nie"<<endl;
	}
	return 0;
}